Package uk.ac.starlink.topcat

## Class TopcatJELUtils

- java.lang.Object
- - uk.ac.starlink.ttools.jel.JELUtils
  - - uk.ac.starlink.topcat.TopcatJELUtils

-     public class TopcatJELUtils
      extends uk.ac.starlink.ttools.jel.JELUtils

  This class provides some utility methods for use with the JEL expression compiler.
  Author:
    Mark Taylor (Starlink)

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ACTIVATION_CLASSES_PROPERTY` |

    - ### Fields inherited from class uk.ac.starlink.ttools.jel.JELUtils

      `CLASSES_PROPERTY`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TopcatJELUtils()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static java.lang.Class` | `classForName​(java.lang.String cname)` | Returns the class with the given name, or null if it's not on the path.
    `static java.util.List<java.lang.Class>` | `getActivationStaticClasses()` | Returns the list of classes whose static methods will be mapped into the JEL evaluation namespace for activation purposes only.
    `static gnu.jel.Library` | `getLibrary​(uk.ac.starlink.ttools.jel.JELRowReader rowReader, boolean activation)` | Returns a JEL Library suitable for expression evaluation.
    `static java.lang.Class` | `wrapPrimitiveClass​(java.lang.Class prim)` | Turns a primitive class into the corresponding wrapper class.

    - ### Methods inherited from class uk.ac.starlink.ttools.jel.JELUtils

      `checkExpressionType, compile, compile, compileQuantity, createDatalessRowReader, getExpressionType, getLibrary, getStaticClasses, getWrapperType, toIOException`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ACTIVATION_CLASSES_PROPERTY

          public static final java.lang.String ACTIVATION_CLASSES_PROPERTY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TopcatJELUtils

          public TopcatJELUtils()

  - ### Method Detail

    - #### getLibrary

          public static gnu.jel.Library getLibrary​(uk.ac.starlink.ttools.jel.JELRowReader rowReader,
                                                   boolean activation)

      Returns a JEL Library suitable for expression evaluation.
      Parameters:
        `rowReader` - object which can read rows from the table to be used for expression evaluation
        `activation` - true iff the result is to include classes used only for activation (e.g. write to System.out, pop up viewers) as well as classes with methods for calculations
      Returns:
        a JEL library

    - #### getActivationStaticClasses

          public static java.util.List<java.lang.Class> getActivationStaticClasses()

      Returns the list of classes whose static methods will be mapped into the JEL evaluation namespace for activation purposes only. This may be modified.
      Returns:
        list of activation classes with static methods

    - #### wrapPrimitiveClass

          public static java.lang.Class wrapPrimitiveClass​(java.lang.Class prim)

      Turns a primitive class into the corresponding wrapper class.
      Parameters:
        `prim` - primitive class
      Returns:
        the corresponding non-primitive wrapper class

    - #### classForName

          public static java.lang.Class classForName​(java.lang.String cname)

      Returns the class with the given name, or null if it's not on the path.
      Parameters:
        `cname` - class name
      Returns:
        class or null

Copyright © 2003-2018 CCLRC: Council for the Central Laboratory of the Research Councils. All Rights Reserved.